Foxit PDF SDK

Instance Methods | List of all members
FSPDFStructTree Class Reference
Inheritance diagram for FSPDFStructTree:

## Instance Methods
(FSStructElement *) | - getChild:
| Get the structure element by index. More...
(int) | - getChildCount
| Get count of structure elements in current PDF structure tree. More...
(id) | - initWithDocument:
| Constructor, with parameters. More...
(id) | - initWithOther:
| Constructor, with another PDF structure tree object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...
(void) | - removeChild:
| Remove the structure element by index. More...

## Detailed Description

PDF structure tree is a kind of common data structure in tagged PDF documents. A structure tree is used in PDF files to represent the organization and hierarchy of the document's content. PDF structure tree has following characteristics:

- A PDF structure tree is also a hierarchical structure, with the top node representing the entire document and the lower nodes representing pages, paragraphs, headings, and other elements.
- A PDF structure tree contains semantic information about the content of the document, such as headings, paragraphs, tables, and lists. This information is used to enhance the accessibility and usability of the document, as well as to optimize its display and printing;

Class FSPDFStructTree is used to be associated with an existing PDF structure tree. It offers functions to get structure elements in the PDF structure tree.

## Method Documentation

## ◆ getChild:()

- (FSStructElement *) getChild: |  | (int) | index |

Get the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSPDFStructTree::getChildCount.

Returns
  A FSStructElement object.

## ◆ getChildCount()

- (int) getChildCount |  |  |

Get count of structure elements in current PDF structure tree.

Returns
  The structure elements count.

## ◆ initWithDocument:()

- (id) initWithDocument: |  | (FSPDFDoc*) | document |

Constructor, with parameters.

If there exists PDF structure tree in the PDF document, this function is just to construct a PDF structure tree object to be associated with the structure tree.

Parameters

  [in] | document | A valid PDF document object.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSPDFStructTree*) | other |

Constructor, with another PDF structure tree object.

Parameters

  [in] | other | Another PDF structure tree object.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.

## ◆ removeChild:()

- (void) removeChild: |  | (int) | index |

Remove the structure element by index.

Parameters

  [in] | index | Index of the structure element to be retrieved. Valid range: from 0 to (count-1). count is returned by function FSPDFStructTree::getChildCount.

Returns
  None.